set term ^ ;
create procedure SP_RECORDCOUNT08
as
declare variable cnt integer;
begin
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('minerefx',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('minstyl',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('mseries',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('nametype',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('newsname',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('newsrc',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('ntsmaps',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('objdated',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('objloc',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('papsrc',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('proddg',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('proddp',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('prodgrad',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('prodmain',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('prodmine',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('prodrefx',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('product',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('prodwgt',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('proglevel',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('protolth',0);

  for select count(*) from minerefx into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'minerefx';
  for select count(*) from minstyl into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'minstyl';
  for select count(*) from mseries into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'mseries';
  for select count(*) from nametype into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'nametype';
  for select count(*) from newsname into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'newsname';
  for select count(*) from newsrc into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'newsrc';
  for select count(*) from ntsmaps into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'ntsmaps';
  for select count(*) from objdated into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'objdated';
  for select count(*) from objloc into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'objloc';
  for select count(*) from papsrc into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'papsrc';
  for select count(*) from proddg into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'proddg';
  for select count(*) from proddp into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'proddp';
  for select count(*) from prodgrad into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'prodgrad';
  for select count(*) from prodmain into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'prodmain';
  for select count(*) from prodmine into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'prodmine';
  for select count(*) from prodrefx into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'prodrefx';
  for select count(*) from product into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'product';
  for select count(*) from prodwgt into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'prodwgt';
  for select count(*) from proglevel into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'proglevel';
  for select count(*) from protolth into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'protolth';
  
end^
set term ; ^

   